Contact Menu

Supported Browsers

Firstbird was optimized for the following browsers:

  • IE from version 11
  • Edge
  • Firefox
  • Safari
  • Chrome

 

Firstbird will no longer support Internet Explorer versions 9 and 10

As of 01.07.2017, Firstbird will stop supporting Internet Explorer versions 9 and 10. Both these versions are no longer supported by Microsoft since January 2016. As a result they have stopped receiving security updates and bug fixes.

As the security updates have stopped, there is an increased risk of infection by malicious software. This creates a high security risk for end users. Please read more for detailed information.

If you are still using one of these Internet Explorer versions, we highly recommend you upgrade to version 11.
If you have any further questions, please get in touch with our support team at support@firstbird.com.